Subject: bug#58926: Shepherd becomes unresponsive after an interrupt

From: Ludovic Courtès <[email-masked]>
Date: Sat, 12 Nov 2022 19:28:33 +0100

Mathieu Othacehe <[email-masked]> skribis:

> then hitting C-c, Shepherd becomes totally unresponsive:
>
> sudo herd status
>
>
> and all further Shpeherd commands hang forever. I was able to reproduce
> it in two different configurations:

[...]

> 2. On Berlin, while trying to restart nginx.

I can’t reproduce it in a VM.

Before I try it on a production system :-), does anyone have a tip on
how to reproduce it?  Or perhaps strace output from a system that
exhibits this bug?

TIA!

Ludo’.